local AddOn, _DUF = ...

_DUF.DEBUG = nil

_DUF.DUF_VERSION = "7.3"
_DUF.DUF_SUBVERSION = ".1"
_DUF.DUF_DL_VERSION = 7.0

_DUF.DUF_ISDRUID = nil
_DUF.DUF_ISSHAPESHIFTED = nil
--[[
_DUF.DUF_CLASS_ENU = {
        WARRIOR=1,
        PALADIN=2,
        HUNTER=3,
        ROGUE=4,
        PRIEST=5,
        DEATHKNIGHT=6,
        SHAMAN=7,
        MAGE=8,
        WARLOCK=9,
        MONK=10,
        DRUID=11,
        DEMONHUNTER=12,
        [1]="WARRIOR",
        [2]="PALADIN",
        [3]="HUNTER",
        [4]="ROGUE",
        [5]="PRIEST",
        [6]="DEATHKNIGHT",
        [7]="SHAMAN",
        [8]="MAGE",
        [9]="WARLOCK",
        [10]="MONK",
        [11]="DRUID",
        [12]="DEMONHUNTER",
}
]]--

_DUF.DUF_NUM_STATUSBARS = 7
_DUF.DUF_NUM_PLAYER_TEXTBOXES = 11
_DUF.DUF_NUM_OTHERS_TEXTBOXES = 10

_DUF.ALTPOWERTYPES = {
--        [SPELL_POWER_MAELSTROM]="MAELSTROM",
        [Enum.PowerType.Maelstrom]="MAELSTROM",
--        [SPELL_POWER_LUNAR_POWER]="LUNAR",
        [Enum.PowerType.LunarPower]="LUNAR",
--        [SPELL_POWER_INSANITY]="INSANITY",
        [Enum.PowerType.Insanity]="INSANITY",
}

-- START OF TEXT TO LOCALIZE

DUF_CLASSBAR_MAXTEXTURES = {
                { text = "Default", value = 0 },
                { text = "Single", value = 1 },
                { text = "All", value = 2 },
         }

DUF_ARROW_RIGHT = ">";
DUF_ARROW_LEFT = "<";
DUF_CLASSLABEL = "Class:";
DUF_CONTEXTLABEL = "Color Contexts:";
DUF_DIFFICULTYLABEL = "Difficulty:";
DUF_HEALTHLABEL = "Health:";
DUF_MANALABEL = "Mana:";
DUF_NUDGE = "Nudge";
DUF_REACTIONLABEL = "Reaction:";
DUF_TARGETMARKERTEXT = "Target marker selection buttons.\nThe Race Icon will display selected marker."

BINDING_HEADER_DUF = "Discord Unit Frames v" .. _DUF.DUF_VERSION;
BINDING_NAME_DUF_OPTIONS = "Show/Hide Options Window";
BINDING_NAME_DUF_TOGGLE_ELEMENTS_LOCK = "Lock/Unlock Elements";
BINDING_NAME_DUF_TOGGLE_FRAMES_LOCK = "Lock/Unlock Frames";

DUF_TEXT = {
        Alliance = "Alliance",
        Alpha = "Alpha",
        AnticipationPoints = "Anticipation Points",
        AttachFrame = "Attach Frame",
        AttachPoint = "Attach Point",
        AttachTo = "Attach To",
        AttachToUIP = "Attach To UIParent",
        AutoLock = "Lock Frames & Elements When Closing This Window",
        Background = "Background",
        BackgroundAlpha = "Background Alpha",
        BackgroundColor = "Background Color",
        BackgroundPadding = "Background Padding",
        BackgroundTexture = "BG Texture",
        BarColor = "Bar Color",
        Base = "Base",
        Beast = "Beast",
        BloodElf = "Blood Elf",
        Border = "Border",
        BorderAlpha = "Border Alpha",
        BorderColor = "Border Color",
        BorderStyle = "Border Style",
        Boss = "Boss",
        BuffFrame = "Buff Frame",
        BuffsShown = "Max Buffs Shown",
        CastBar = "Cast Bar",
        CenterAlign = "Center Align",
        ClassIcon = "Class Icon",
        ClassProperties = "^Class Properties^",
        Color = "Color",
        Combat = "In Combat",
        ComboPoints = "Combo Points",
        ConnectFrames = "Connect Frames",
        ContextColors = "Context Colors",
        CooledAlpha = "Cooled Alpha",
        CooldownAlpha = "Cooldown Alpha",
        CooldownColor = "Cooldown Color",
        CooldownSpecColors = "Color Cooldown by Specialization",
        CooldownTextFont = "Text Font",
        CooldownTextHide = "Hide Cooldown Text",
        CooldownTexture = "Cooldown texture",
        Copy = "COPY",
        CopyFrame = "Copy Settings From",
        Create = "CREATE",
        Crit = "*CRITICAL*",
        Critter = "Critter",
        CurrentProfile = "Current Profile",
        CustomEliteTexture = "Custom Elite Texture",
        CustomPaths = "Custom paths for textures and fonts",
        CustomRareTexture = "Custom Rare Texture",
        CustomSettingsLoaded = "Custom settings loaded.",
        CustomTexture = "Custom Texture",
        CustomTexture2 = "Secondary Bar's Custom Texture",
        CustomTooltip = "Custom Tooltip",
        Dead = "Dead",
        DeathKnight = "Death Knight",
        DebuffFrame = "Debuff Frame",
        DebuffsShown = "Max Debuffs Shown",
        Default = "Default",
        DefaultClassColors = "Default Class Colors",
        DefaultSettingsLoaded = "Default settings loaded.",
        Delete = "DELETE",
        Demon = "Demon",
        DemonHunter = "Demon Hunter",
        DisableMouse = "Disable Mouse",
        DisableTooltip = "Disable Tooltip",
        Draenei = "Draenei",
        Dragonkin = "Dragonkin",
        Druid = "Druid",
        DruidManaBar = "Alt, Mana Bar",
        DruidManaBarText = "Alt. Mana Text",
        DurationAlpha = "Duration Alpha",
        DurationColor = "Duration Color",
        DurationFont = "Duration Font",
        DurationFormat = "Use hh:mm:ss Format",
        DurationHeight = "Duration Font Height",
        DurationXOffset = "Duration X Offset",
        DurationYOffset = "Duration Y Offset",
        Dwarf = "Dwarf",
        Elemental = "Elemental",
        Elite = "Elite",
        EliteTexture = "Elite Texture",
        Enable = "Enable",
        Energy = "Energy",
        EnergyColor = "Energy Color",
        Expand = "Expand",
        FacesLeft = "Faces Left",
        Fade = "Fade Amount Lost",
        Female = "Female",
        Fill = "Fill Instead of Deplete",
        FillDirection = "Fill Direction",
        FlashForLowHealth = "Flash When Health Is Low",
        FlashWhenActive = "Flash When Active",
        FlipPortrait = "Flip 2D Portrait (left, right)",
        Focus = "Focus",
        FocusColor = "Focus Color",
        Font = "Font",
        FontHeight = "Font Height",
        FormatH = "Health/AP Format Break\n($hk, $kh, $ap, $an)",
        FormatM = "Mana Format Break\n($mk, $km, $rx)",
        FrameLevelOffset = "Frame Level Offset     ",
        FrameOptions = "Frame Options",
        FrameStrata = "Frame Strata",
        FrameToMove = "Frame To Move",
        Friendly = "Friendly",
        FriendlyNPC = "Friendly NPC",
        FriendlyPlayer = "Friendly Player",
        FuryColor = "Fury Color",
        GeneralProperties = "vGeneral Propertiesv",
        Ghost = "Ghost",
        Giant = "Giant",
        Gnome = "Gnome",
        Goblin = "Goblin",
        HealthBar = "Health Bar",
        HealthThreshold = "Health % Less Than ",
        HealthUpdating = "Show When Health Is Less Than Max",
        Height = "Height",
        Hide = "Hide",
        HideBackground = "Hide Background",
        HideBuffFrame = "Hide Default Buff Frame",
        HideDurability = "Hide the Durability Frame (requires reload)",
        HideIfNoCast = "Hide If Unit Doesn't cast",
        HideIfNoMana = "Hide If Unit Doesn't Use Mana",
        HideIfNoText = "Hide If No Text",
        HideIfTextIs = "or Text Is",
        HideOnMouseover = "Hide On Mouseover",
        HidePartyInRaid = "Hide Party Frames In Raids",
        HidePlayerResourceBar = "Hide the Player Resource Bar",
        HideTargetTarget = "Hide Target of Target When Solo",
        HideTargetMarkser = "Hide Target Markers When Solo",
        HolyColor = "Holy Color",
        Horde = "Horde",
        Hostile = "Hostile",
        HSpacing = "Horizontal Spacing",
        Human = "Human",
        Humanoid = "Humanoid",
        Hunter = "Hunter",
        InsanityColor = "Insanity Color",
        JustifyH = "Horizontal Justification",
        JustifyV = "Vertical Justification",
        Label = "Label",
        LeaderIcon = "Leader Icon",
        LeftClick = "Left-Click",
        LevelDifference1 = "Trivial",
        LevelDifference2 = "Minor",
        LevelDifference3 = "Even",
        LevelDifference4 = "Tough",
        LevelDifference5 = "Very Tough",
        LevelDifference6 = "Suicide",
        LimitDurationUpdates = "limit duration screen paints to once per second",
        Load = "LOAD",
        LoadCustomSettings = "Load Custom Settings",
        LoadDefaultSettings = "Load Default Settings",
        LoadProfile = "Load Profile",
        LoadSettings = "Load Settings:",
        Lock = "Lock",
        LockElements = "Lock Elements",
        LockFrames = "Lock Frames",
        LootIcon = "Loot Icon",
        LowHealthThreshold = "Low Health Threshold",
        LunarPowerColor = "Astral Power Color",
        MaelstromPowerColor = "Maelstrom Power Color",
        Mage = "Mage",
        Main = "Main",
        Male = "Male",
        Mana = "Mana",
        ManaBar = "Mana Bar",
        ManaColor = "Mana Color",
        ManaColorNotFound = "SPELL_POWER not found",
        ManaThreshold = "Mana % Less Than ",
        ManaUpdating = "Show When Mana Is Less Than Max",
        MaxCharacters = "Maximum Number of Characters",
        Method = "Method",
        MiddleClick = "Middle Click",
        MiscOptions = "Misc Options",
        Monk = "Monk",
        MonkHarmony = "Monk Harmony",
        MonkStagger = "Monk Stagger",
        Mouseover = "Show On Mouseover",
        MouseoverColor = "Mouseover Color",
        MouseoverGroup = "Mouseover Group",
        Neuter = "Neuter",
        Neutral = "Neutral",
        NewProfile = "New Profile",
        NightElf = "Night Elf",
        NoCustomSettings = "No custom settings found for Discord Unit Frames.",
        NoDefaultSettings = "No default settings found for Discord Unit Frames.",
        NoSettingsFound = "No settings found.",
        NoTarget = "No Target",
        NotSpecified = "Not specified",
        Offline = "Offline",
        OOCAlpha = "Out of Comabat Alpha",
        OptionsScale = "Options Window Scale",
        Orc = "Orc",
        Outline = "Outline:",
        OutOfRange = "OUT OF RANGE",
        Paladin = "Paladin",
        Pandaren = "Pandaren",
        Party = "PARTY",
        PartyPets = "PARTY PETS",
        Pet = "PET",
        PetBattleHide = "Hide frames in Pet Battles",
        Phased = "OUT OF PHASE",
        PhaseIcon = "Phased Icon",
        PlayerClass = "Class",
        Portrait = "Portrait",
        Priest = "Priest",
        ProfileCreated = "New profile created for Discord Unit Frames.",
        PVP = "PvP",
        PVPForever = "",
        PVPFree = "PvP Free For All",
        PVPFriendly = "PVP-enabled Player",
        PVPIcon = "PvP Icon",
        QuestBossIcon = "Quest Boss Icon",
        QuestBossIconTexture = "Custom Icon Texture",
        QuickLoad = "Quick Load",
        QuickSave = "Quick Save",
        RaceIcon = "Race Icon",
        Rage = "Rage",
        RageColor = "Rage Color",
        Rare = "Rare",
        RareElite = "Rare Elite",
        ResizeBasedOnMax = "Resize Based On Max Amount",
        ReverseFill = "Reverse Fill Direction",
        RightClick = "Right-Click",
        Rogue = "Rogue",
        RoleIcon = "Role Icon",
        RootPath = "Root Path",
        RootSaveError = "This path has already been saved for this profile!",
        RuneFrame = "Rune Frame (DK)",
        RunicPower = "Runic Power",
        RunicPowerColor = "Runic Power Color",
        SafeCopy = "SAFE COPY",
        SafeLoad = "SAFE LOAD",
        Save = "SAVE",
        SaveSettings = "Save Settings: ",
        Scale = "Scale",
        SecondaryBarColor = "Secondary Bar Color",
        Select = "Select",
        Self = "SELF",
        SettingsDeleted = "Settings deleted.",
        SettingsLoaded = "New settings loaded.",
        SettingsSaved = "Your settings have been saved.",
        Shaman = "Shaman",
        ShortHealth = "Short",
        ShortMana = "Short",
        ShowCircularBorder = "Show Circular Border (2D)",
        ShowDefault = "Show Default Frame(s). Requires /reload",
        ShowDuration = "Show Duration",
        ShowInCombat = "Show In Combat",
        ShowTargetIcon = "Show Target Icon Instead",
        Size = "Size",
        Spacing = "Spacing",
        Special = "Special",
        StatusIcon = "Status Icon",
        Summoned = "Summoned",
        Tapped = "Tapped",
        Target = "TARGET",
        TargetHealthBar = "Target Health Bar",
        TargetManaBar = "Target Mana Bar",
        TargetMarkers = "Target Markers",
        TargetOfTarget = "TOT",
        TargetTapped = "Tapped",
        Tauren = "Tauren",
        TempEnchants = "Temporary Enchants",
        Text = "Text",
        TextBox1 = "TextBox 1",
        TextBox10 = "TextBox 10",
        TextBox2 = "TextBox 2",
        TextBox3 = "TextBox 3",
        TextBox4 = "TextBox 4",
        TextBox5 = "TextBox 5",
        TextBox6 = "TextBox 6",
        TextBox7 = "TextBox 7",
        TextBox8 = "TextBox 8",
        TextBox9 = "TextBox 9",
        TextColor = "Text Color",
        Texture = "Texture",
        Textures = "Textures",
        TextVariables = "Text Variables",
        TotemBar = "Totem Bar",
        TrackReputation = "Track Reputation Instead",
        Troll = "Troll",
        TwoRows = "Two Rows/Columns",
        Unconscious = "Unconscious",
        Undead = "Undead",
        Unlock = "Unlock",
        UnlockElements = "Unlock Elements",
        UnlockFrames = "Unlock Frames",
        UpdateSpeed = "Updates Per Second",
        Use3DFace = "Face only (3D only)",
        Use3DPortrait = "Use 3D models for portraits",
        UseClassTexture = "Use Class Texture for Players (2D)",
        UseRaceTexture = "Use Race Texture for NPCs",
        VariablesTitle = "DISCORD UNIT FRAMES TEXT VARIABLES",
        Vertical = "Vertical",
        VerticalText = "Vertical Text",
        VSpacing = "Vertical Spacing",
        Warlock = "Warlock",
        Warrior = "Warrior",
        Width = "Width",
        Worgen = "Worgen",
        XPBar = "XP Bar",
        You = "* YOU *",
        YourTarget = "* YOUR TARGET *",
};

DUF_TEXTVARIABLES = {
        "Artifact Power - $ap",
        "Artifact Power Percent - $ac",
        "Artifact Power Next Level - $an",
        "Artifact Power Next Level Percent - $al",
        "Class, Abbreviation - $ca",
        "Classification ('Elite', etc.) - $cc",
        "Creature Difficulty ('Trivial', etc.) - $cd",
        "Creature Family ('Cat', etc.) - $cf",
        "Color Context, Health - $ch",
        "Class, Player - $cl",
        "Color Context, Mana - $cm",
        "Color Code - $co",
        "Combo Points - $cp",
        "Color Context, Difficulty - $cq",
        "Color Context, Reaction - $cr",
        "Default Color Code - $cs",
        "Creature Type ('Beast', etc.) - $ct",
        "Color Context, Class - $cw",
        "Classification, Abbreviation - $cx",
        "Class, Mob - $cy",
        "Color Context, Power Type - $cz",
        "Tapped - $do",
        "Health, Lost Percent - $dp",
        "Death Status - $ds",
        "Health, Lost - $dt",
        "Faction - $fa",
        "Guild - $gu",
        "Health, Current - $hc",
        "Health, Dynamic - $hd",
        "Health, Current in k - $hk",
        "Health, Max - $hm",
        "Health, Current Percent - $hp",
        "Health, Regen Per Sec - $hr",
        "Health, Regen Per Tick - $ht",
        "In Combat - $ic",
        "Out of Detect Range - $iv",
--        "Keybinding - $kb",
        "Health, Max in k - $kh",
        "Mana, Max in k - $km",
        "Level - $lv",
        "Mana, Current - $mc",
        "Mana, Current in k - $mk",
        "Mana, Type - $ml",
        "Mana, Max - $mm",
        "Mana, Current Percent - $mp",
        "Mana, Regen Per Sec - $mr",
        "Mana, Regen Per Tick - $mt",
        "Mana, Lost - $mx",
        "Mana, Lost Percent - $my",
        "New Line - $nl",
        "Name - $nm",
        "NPC - $np",
        "Name inc. title - $nr",
        "Offline - $of",
        "Pet's Current XP Percent - $pc",
        "Phased (out-of-phase, Party only) = $ph",
        "PvP Time Left (Player only) - $pf",
        "PvP Flagged - $pt",
        "Pet's Current XP - $px",
        "Pet's Max XP Needed to Level - $py",
        "Race, Abbreviation - $ra",
        "Race - $rc",
        "Recent Damage - $rd",
        "Reaction ('Hostile', etc.) - $re",
        "Raid Group - $rg",
        "Recent Heals - $rh",
        "Real Mana (Druid) - $rm",
        "Realm Name - $rn",
        "Real Mana % (Druid) - $rp",
        "Real Mana Max. (Druid) - $rx",
        "Gender, Abbreviation - $sa",
        "Gender - $sx",
        "Target's Health Percent - $ta",
        "Target's Mana Percent - $tb",
        "Target's Health - $th",
        "Target's Level - $tl",
        "Target's Mana - $tm",
        "Target's Name - $tn",
        "Title (Player only) - $tp",
        "Target's Creature Type - $tt",
        "Target's Max Health - $tx",
        "Target's Max Mana - $ty",
        "Unit Casting - $uc",
        "Unit Role - $ur",
        "Watched Faction Current Rep - $wc",
        "Watched Faction - $wf",
        "Watched Faction Max Rep - $wm",
        "Watched Faction Rep Percent - $wp",
        "Watched Faction Reaction - $wr",
        "XP, Rested Percent - $xb",
        "XP, Current - $xc",
        "XP, Needed to Level - $xd",
        "XP, Max Needed to Level - $xl",
        "Next Level - $xn",
        "XP, Rested Bonus - $xr",
        "XP, Needed to Level Percent - $xx",
        "XP, Current Percent - $xy",
}

DUF_CLASSABBREV = {
                [DUF_TEXT.Warrior] = "War",
                [DUF_TEXT.Priest] = "Pr",
                [DUF_TEXT.Rogue] = "Rog",
                [DUF_TEXT.Shaman] = "Shm",
                [DUF_TEXT.Mage] = "Ma",
                [DUF_TEXT.Paladin] = "Pal",
                [DUF_TEXT.Hunter] = "Hu",
                [DUF_TEXT.Warlock] = "Wlk",
                [DUF_TEXT.Druid] = "Drd",
                [DUF_TEXT.DeathKnight] = "DK",
                [DUF_TEXT.Monk] = "Mnk",
                [DUF_TEXT.DemonHunter] = "DH",
        };

DUF_RACEABBREV = {
                [DUF_TEXT.Undead] = "Ud",
                [DUF_TEXT.Tauren] = "Ta",
                [DUF_TEXT.NightElf] = "NE",
                [DUF_TEXT.Gnome] = "Gnm",
                [DUF_TEXT.Dwarf] = "Dwf",
                [DUF_TEXT.Human] = "Hum",
                [DUF_TEXT.Troll] = "Trl",
                [DUF_TEXT.Orc] = "Orc",
                [DUF_TEXT.Draenei] = "Dre",
                [DUF_TEXT.BloodElf] = "BE",
                [DUF_TEXT.Worgen] = "Wor",
                [DUF_TEXT.Goblin] = "Gob",
                [DUF_TEXT.Pandaren] = "Pnd"

        };

DUF_SEXABBREV = {
                ["Male"] = "M",
                ["Female"] = "F",
                ["Neuter"] = "N"
        };

DUF_BORDER_STYLES = {
        { text="Plain", value=1 },
        { text="Tooltip", value=2 },
        { text="Dialogue", value=3 },
        { text="Slider", value=4 }
}

DUF_COLOR_CONTEXTS = {
        { text="None", value=nil },
        { text="Difficulty", value=1 },
        { text="Reaction", value=2 },
        { text="Class", value=3 },
        { text="Health", value=4 },
        { text="Mana", value=5 }
}

DUF_CLICK_OPTIONS = {
        { text="Do Nothing", value=nil },
        { text="Target Unit", value=1 },
        { text="Assist Unit", value=2 },
        { text="Show Popup", value=3 }
}

DUF_CONNECT_OPTIONS = {
        { text="Top to Bottom", value=1 },
        { text="Bottom to Top", value=2 },
        { text="Left to Right", value=3 },
        { text="Right to Left", value=4 }
}

DUF_ANCHORS = {
                { text = "TOPLEFT", value = "TOPLEFT" },
                { text = "TOP", value = "TOP" },
                { text = "TOPRIGHT", value = "TOPRIGHT" },
                { text = "LEFT", value = "LEFT" },
                { text = "CENTER", value = "CENTER" },
                { text = "RIGHT", value = "RIGHT" },
                { text = "BOTTOMLEFT", value = "BOTTOMLEFT" },
                { text = "BOTTOM", value = "BOTTOM" },
                { text = "BOTTOMRIGHT", value = "BOTTOMRIGHT" }
         };

DUF_ATTACH_FRAMES = {
        { text="UIParent", value="UIParent" },
        { text="Unit Frame", value="Unit Frame" },
        { text="Buff Frame", value="_Buffs" },
        { text="Cast Bar", value="_CastBar" },
        { text="Class Icon", value="_ClassIcon" },
        { text="Debuff Frame", value="_Debuffs" },
        { text="Health Bar", value="_HealthBar" },
        { text="Leader Icon", value="_LeaderIcon" },
        { text="Loot Icon", value="_LootIcon" },
        { text="Mana Bar", value="_ManaBar" },
        { text="Portrait", value="_Portrait" },
        { text="PvP Icon", value="_PVPIcon" },
        { text="Race Icon", value="_RaceIcon" },
        { text="Status Icon", value="_StatusIcon" },
        { text="Target Health Bar", value="_TargetHealthBar" },
        { text="Target Mana Bar", value="_TargetManaBar" },
        { text="TextBox 1", value="_TextBox_1" },
        { text="TextBox 2", value="_TextBox_2" },
        { text="TextBox 3", value="_TextBox_3" },
        { text="TextBox 4", value="_TextBox_4" },
        { text="TextBox 5", value="_TextBox_5" },
        { text="TextBox 6", value="_TextBox_6" },
        { text="TextBox 7", value="_TextBox_7" },
        { text="TextBox 8", value="_TextBox_8" },
        { text="TextBox 9", value="_TextBox_9" },
        { text="TextBox 10", value="_TextBox_10" },
};

DUF_FORMATNUMBER_BREAK = {
        { text="100,000", value=nil },
        { text="10,000", value=1 },
        { text="1,000", value=2 },
        { text="Non Decimal", value=3 }
}

DUF_JUSTIFICATION_HORIZONTAL = {
        { text="LEFT", value="LEFT" },
        { text="RIGHT", value="RIGHT" },
        { text="CENTER", value="CENTER" }
}

DUF_JUSTIFICATION_VERTICAL = {
        { text="TOP", value="TOP" },
        { text="BOTTOM", value="BOTTOM" },
        { text="CENTER", value="CENTER" }
}

DUF_MOUSEOVER_GROUPS = {
        { text="None", value=nil },
        { text="1", value=1 },
        { text="2", value=2 },
        { text="3", value=3 },
        { text="4", value=4 },
        { text="5", value=5 },
        { text="6", value=6 },
        { text="7", value=7 },
        { text="8", value=8 },
        { text="9", value=9 },
        { text="10", value=10 }
}

DUF_STATUSBAR_DIRECTIONS = {
        { text="Left to Right", value=1 },
        { text="Right to Left", value=2 },
        { text="Bottom to Top", value=3 },
        { text="Top to Bottom", value=4 }
}
-- END OF STUFF TO LOCALIZE

-- German translations courtesy of Boergen.

if (GetLocale() == "deDE") then

DUF_CLASSLABEL = "Klasse:";
DUF_CONTEXTLABEL = "Farben Kontexte:";
DUF_DIFFICULTYLABEL = "Schwierigkeit:";
DUF_HEALTHLABEL = "Gesundheit:";
DUF_MANALABEL = "Mana:";
DUF_NUDGE = "Feineinstellung";
DUF_REACTIONLABEL = "Reaktion:";
DUF_TARGETMARKERTEXT = "Zielmarkierung Auswahl buttons.\nThe Rennen Icon ausgew\195\164hlt Markierung angezeigt."

BINDING_NAME_DUF_OPTIONS = "Zeige/Verstecke Optionen Fenster";
BINDING_NAME_DUF_TOGGLE_ELEMENTS_LOCK = "Elemente Fixieren/Freigeben";
BINDING_NAME_DUF_TOGGLE_FRAMES_LOCK = "Frames Fixieren/Freigeben";

DUF_TEXT = {
        Alliance = "Allianz",
        Alpha = "Alpha",
        AnticipationPoints = "Points d'anticipation",
        AttachFrame = "Anheft Frame",
        AttachPoint = "Anheft Punkt",
        AttachTo = "Anheften an",
        AttachToUIP = "Anheften an UIParent",
        AutoLock = "Fixiere Frames & Elemente beim Schlie\195\159en di",
        Background = "Hintergrund",
        BackgroundAlpha = "Hintergrund Alpha",
        BackgroundColor = "Hintergrund Farbe",
        BackgroundPadding = "Hintergrund F\195\188llung",
        BackgroundTexture = "BG Textur",
        BarColor = "Balken Farbe",
        Base = "Basis",
        Beast = "Wildtier",
        BloodElf = "Blutelf",
        Border = "Rahmen",
        BorderAlpha = "Rahmen Alpha",
        BorderColor = "Rahmen Farbe",
        BorderStyle = "Rahmen Aussehen",
        Boss = "Boss",
        BuffFrame = "Buff Frame",
        BuffsShown = "Max angezeigte Buffs",
        CastBar = "Cast Bar",
        CenterAlign = "Center Ausrichten",
        ClassIcon = "Klassen Icon",
        ClassProperties = "^Klasseigenschaften^",
        Color = "Farbe",
        Combat = "Im Kampf",
        ComboPoints = "Kombo Punkte",
        ConnectFrames = "Verbinde Frames",
        ContextColors = "Kontext Farben",
        Copy = "KOPIEREN",
        CopyFrame = "Kopiere Einstellungen von",
        Create = "SCHAFFEN",
        Crit = "*KRITISCH*",
        Critter = "Tier",
        CurrentProfile = "Cruuent Profil",
        CustomEliteTexture = "Besondere Elite Textur",
        CustomPaths = "Benutzerdefinierte Pfade f\195\188r Texturen und Schrifte",
        CustomRareTexture = "Besondere Rare Textur",
        CustomSettingsLoaded = "Besondere Einstellungen geladen.",
        CustomTexture = "Besondere Textur",
        CustomTexture2 = "Besondere Textur f\195\188r Sekund\195\164re Leist",
        CustomTooltip = "Besonderer Tooltip",
        Dead = "Tot",
        DeathKnight = "Todesritter",
        DebuffFrame = "Debuff Frame",
        DebuffsShown = "Max angezeigte Debuffs",
        Default = "Default",
        DefaultSettingsLoaded = "Voreinstellungen geladen.",
        Delete = "L\195\182SCHEN",
        Demon = "D\195\164mon",
        DemonHunter = "D\195\164mon J\195\164ger",
        DisableMouse = "Deaktiviere Mouse",
        DisableTooltip = "Deaktiviere Tooltip",
        Draenei = "Draenei",
        Dragonkin = "Drachkin",
        Druid = "Druide",
        DruidManaBar = "Alt. Mana Bar",
        DruidManaBarText = "Alt. Mana Text",
        DurationAlpha = "Dauer Alpha",
        DurationColor = "Dauer Farbe",
        DurationFont = "Dauer Schriftart",
        DurationFormat = "Use hh:mm:ss Format",
        DurationHeight = "Dauer Schriftart H\195\182he",
        DurationXOffset = "Dauer X Position",
        DurationYOffset = "Dauer Y Position",
        Dwarf = "Zwerg",
        Elemental = "Elementar",
        Elite = "Elite",
        EliteTexture = "Elite Textur",
        Enable = "erm\195\182glichen",
        Energy = "Energie",
        EnergyColor = "Energie Farbe",
        Expand = "Erweitern",
        FacesLeft = "Gesichter Links",
        Fade = "Verlorene Menge verblassen lassen",
        Female = "Weiblich",
        Fill = "F\195\188llen statt leeren",
        FillDirection = "F\195\188llen Richtung",
        FlashForLowHealth = "Blinken wenn Gesundheit niedrig",
        FlashWhenActive = "Blinken wenn aktiv",
        FlipPortrait = "Flip 2D Portrait (links, rechts)",
        Focus = "Fokus",
        FocusColor = "Fokus Farbe",
        Font = "Schriftart",
        FontHeight = "Schriftart H\195\182he",
        FormatH = "Gesundheit Format Pause\n($hk, $kh, $ap, $an)",
        FormatM = "Mana Format Pause\n($mk, $km, $rx)",
        FrameLevelOffset = "Frame Level Offset",
        FrameOptions = "Rahmenoptionen",
        FrameStrata = "Frame Schicht",
        FrameToMove = "Rahmen To Move",
        Friendly = "Freundlich",
        FriendlyNPC = "Freundlicher NPC",
        FriendlyPlayer = "Freunlicher Spieler",
        FuryColor = "Grimm Farbe",
        GeneralProperties = "vAllgemeine Eigenschaftenv",
        Ghost = "Geist",
        Giant = "Riese",
        Gnome = "Gnom",
        Goblin = "Goblin",
        HealthBar = "Gesundheits Balken",
        HealthThreshold = "Gesundheit % weniger als ",
        HealthUpdating = "Anzeigen Wenn Gesundheit ist weniger als Max",
        Height = "H\195\182he",
        Hide = "Verstecken",
        HideBackground = "Verstecke Hintergrund",
        HideBuffFrame = "Verstecke normalen Buff Frame",
        HideIfNoCast = "Verstecken wenn Einheit nicht Castet",
        HideIfNoMana = "Verstecken wenn Einheit kein Mana nutzt",
        HideIfNoText = "Verstecke wenn kein Text",
        HideIfTextIs = "oder Text ist",
        HideOnMouseover = "Verstecke bei Mouseber\195\188hrung",
        HidePartyInRaid = "Verstecke Gruppen Frames in Raids",
        HidePlayerResourceBar = "Ausblenden der Spieler Ressourcen Bar",
        HideTargetTarget = "Verstecke Ziel vom Ziel wenn Solo",
        HideTargetMarkser = "Verstecke Ziel Marker wenn Solo",
        HolyColor = "Heilig Farbe",
        Horde = "Horde",
        Hostile = "Feindlich",
        HSpacing = "Horizontale Abst\195\164nde",
        Human = "Mensch",
        Humanoid = "Humanoid",
        Hunter = "J\195\164ger",
        InsanityColor = "Mond Farbe",
        JustifyH = "Horizontale Ausrichtung",
        JustifyV = "Vertical Ausrichtung",
        Label = "Bezeichnung",
        LeaderIcon = "Anf\195\188hrer Icon",
        LeftClick = "Links-Klick",
        LevelDifference1 = "Sehr leicht",
        LevelDifference2 = "Leicht",
        LevelDifference3 = "Ausgeglichen",
        LevelDifference4 = "Schwer",
        LevelDifference5 = "Sehr schwer",
        LevelDifference6 = "Selbstmord",
        LimitDurationUpdates = "Grenzdauer Bildschirm malt, um einmal pro Sekunde",
        Load = "LADEN",
        LoadCustomSettings = "Lade besondere Einstellungen",
        LoadDefaultSettings = "Lade Voreinstellungen",
        LoadProfile = "Lastprofil",
        LoadSettings = "Lade Einstellungen:",
        Lock = "Sperren",
        LockElements = "Fixiere Elemente",
        LockFrames = "Fixiere Frames",
        LootIcon = "Loot Icon",
        LowHealthThreshold = "Niedrige Gesundheit Grenze",
        LunarPowerColor = "Astral Energie Farbe",
        MaelstromPowerColor = "Malstrom Energie Farbe",
        Mage = "Magier",
        Main = "Haupt",
        Male = "M\195\164nnlich",
        Mana = "Mana",
        ManaBar = "Mana Balken",
        ManaColor = "Mana Farbe",
        ManaThreshold = "Mana % weniger als ",
        ManaUpdating = "SWenn, wie Mana ist weniger als Max",
        MaxCharacters = "Maximale Anzahl an Zeichen",
        Method = "Methode",
        MiddleClick = "Mittel-Klick",
        MiscOptions = "Verschiedene Optionen",
        Monk = "M\195\182nch",
        MonkHarmony = "M\195\182nch-Harmonie",
        MonkStagger = "M\195\182nch Taumeln",
        Mouseover = "Zeige bei Mouseber\195\188hrung",
        MouseoverColor = "Mouseber\195\188hrung Farbe",
        MouseoverGroup = "Mouseber\195\188hrung Gruppe",
        Neuter = "Neutrum",
        Neutral = "Neutral",
        NewProfile = "Neues Profil",
        NightElf = "Nachtelf",
        NoCustomSettings = "Keine besonderen Einstellungen gefunden.",
        NoDefaultSettings = "Keine Voreinstellungen gefunden.",
        NoSettingsFound = "Keine Einstellungen gefunden.",
        NoTarget = "Kein Ziel",
        NotSpecified = "Nicht spezifiziert",
        Offline = "Offline",
        OOCAlpha = "au\195\159erhalb des Kampfes alpha",
        OptionsScale = "Optionen Fenster Gr\195\182\195\159e",
        Orc = "Orc",
        Outline = "Entwurf:",
        OutOfRange = "AUSSER REICHWEITE",
        Paladin = "Paladin",
        Pandaren = "Pandaren",
        Party = "GRUPPE",
        PartyPets = "GRUPPEN PETS",
        Pet = "PET",
        PetBattleHide = "Ausblenden Rahmen in Pet Battles",
        Phased = "PHASEN",
        PhaseIcon = "Phased Icon",
        PlayerClass = "Class",
        Portrait = "Portr\195\164t",
        Priest = "Priester",
        ProfileCreated = "New profile created for Discord Unit Frames.",
        PVP = "PvP",
        PVPForever = "F\195\188r die Dauer",
        PVPFree = "PvP Free For All",
        PVPFriendly = "PVP-aktiver Player",
        PVPIcon = "PvP Icon",
        QuestBossIcon = "Quest Boss Icon",
        CuestBossTexture = "Texture Symbol Perso",
        QuickLoad = "Quick Load",
        QuickSave = "Quick Save",
        RaceIcon = "Rassen Icon",
        Rage = "Wut",
        RageColor = "Wut Farbe",
        Rare = "Rare",
        RareElite = "Rare Elite",
        ResizeBasedOnMax = "Gr\195\182\195\159e an Maximalwert anpassen",
        ReverseFill = "F\195\188llrichtung umkehren",
        RightClick = "Rechts-Klick",
        Rogue = "Schurke",
        RoleIcon = "Rolle-Ikone",
        RootPath = "Root Path",
        RootSaveError = "Dieser Weg hat sich bereits f\195\188r dieses Profil gesp",
        RuneFrame = "Rune-Rahmen (DK)",
        RunicPower = "Runenmacht",
        RunicPowerColor = "Runenmacht Farbe",
        SafeCopy = "SAFE COPY",
        SafeLoad = "SICHERE LAST",
        Save = "SPEICHERN",
        SaveSettings = "Speichere Einstellungen: ",
        Scale = "Gr\195\182\195\159enanpassung",
        SecondaryBarColor = "Sekund\195\164re Balken Farbe",
        Select = "Select",
        Self = "SELBST",
        SettingsDeleted = "Einstellungen gel\195\182scht.",
        SettingsLoaded = "Neue Einstellungen geladen.",
        SettingsSaved = "Deine Einstellungen wurden gespeichert.",
        Shaman = "Schamane",
        ShortHealth = "Short",
        ShortMana = "Short",
        ShowCircularBorder = "Zeige kreisf\195\182rmigen Rand (2D)",
        ShowDefault = "Zeige normale(n) Frame(s). Requires /reload",
        ShowDuration = "Zeige Dauer",
        ShowInCombat = "Zeigen Sie im Kampf",
        ShowTargetIcon = "Zeigen Ziel Icon Statt",
        Size = "Gr\195\182\195\159e",
        Spacing = "Spacing",
        Special = "Spezial",
        StatusIcon = "Status Icon",
        Summoned = "Beschworen",
        Tapped = "Markiert",
        Target = "ZIEL",
        TargetHealthBar = "Ziel Gesundheit Balken",
        TargetManaBar = "Ziel Mana Balken",
        TargetMarkers = "Zielmarken W\195\164hlen",
        TargetOfTarget = "TARGET OF TARGET",
        TargetTapped = "Tapped",
        Tauren = "Tauren",
        TempEnchants = "Temporary Enchants",
        Text = "Text",
        TextBox1 = "TextBox 1",
        TextBox10 = "TextBox 10",
        TextBox2 = "TextBox 2",
        TextBox3 = "TextBox 3",
        TextBox4 = "TextBox 4",
        TextBox5 = "TextBox 5",
        TextBox6 = "TextBox 6",
        TextBox7 = "TextBox 7",
        TextBox8 = "TextBox 8",
        TextBox9 = "TextBox 9",
        TextColor = "Text Farbe",
        Texture = "Textur",
        Textures = "Texturen",
        TextVariables = "Text Variablen",
        TotemBar = "Totem Bar",
        TrackReputation = "Stattdessen verfolgen Reputation",
        Troll = "Troll",
        TwoRows = "Zwei Reihen/Spalten",
        Unconscious = "Unbewusste",
        Undead = "Untoter",
        Unlock = "\195\150ffnen",
        UnlockElements = "L\195\182se Elemente",
        UnlockFrames = "L\195\182se Frames",
        UpdateSpeed = "Updates pro Sekunde",
        Use3DFace = "Zoom auf das Gesicht in der 3D-Modelle f\195\188r Portr\195\164t",
        Use3DPortrait = "Use 3D models for portraits",
        UseClassTexture = "Nutze Klassen Textur f\195\188r Spieler (2D)",
        UseRaceTexture = "Nutze Rassen Textur f\195\188r Spieler NPCs",
        VariablesTitle = "DISCORD UNIT FRAMES TEXT VARIABLEN",
        Vertical = "Vertikales",
        VerticalText = "vertikaler Text",
        VSpacing = "Vertikale Abst\195\164nde",
        Warlock = "Hexenmeister",
        Warrior = "Krieger",
        Width = "Breite",
        Worgen = "Isegrim",
        XPBar = "XP Balken",
        You = "* DU *",
        YourTarget = "* DEIN ZIEL *",
};

DUF_TEXTVARIABLES = {
        "Artefakt Macht - $ap",
        "Artefakt Macht Prozent - $ac",
        "Artefakt Macht Neben Stufe - $an",
        "Artefakt Macht Neben Stufe Prozent - $al",
        "Klasse, Abk\195\188rzung - $ca",
        "Klassifikation ('Elite', etc.) - $cc",
        "Kreatur Schwierigkeit ('Leicht', etc.) - $cd",
        "Kreatur Familie ('Katze', etc.) - $cf",
        "Farben Kontext, Gesundheit - $ch",
        "Klasse, Player - $cl",
        "Farben Kontext, Mana - $cm",
        "Farben Code - $co",
        "Kombo Punkte - $cp",
        "Farben Kontext, Schwierigkeit - $cq",
        "Farben Kontext, Reaktion - $cr",
        "Standard-Farbcode - $cs",
        "Kreatur Type ('Wildtier', etc.) - $ct",
        "Farben Kontext, Klasse - $cw",
        "Klassification, Abk\195\188rzung - $cx",
        "Klasse, Mob - $cy",
        "Farbe Kontext, Stromversorgung Typ - $cz",
        "Markiert - $do",
        "Gesundheit, verloren Prozent - $dp",
        "Todes Status - $ds",
        "Gesundheit, verloren - $dt",
        "Fraktion - $fa",
        "Gilde - $gu",
        "Gesundheit, momentan - $hc",
        "Gesundheit, dynamisch - $hd",
        "Gesundheit, Strom in k - $hk",
        "Gesundheit, Max - $hm",
        "Gesundheit, momentan Prozent - $hp",
        "Gesundheit, Regen pro Sek - $hr",
        "Gesundheit, Regen pro Tick - $ht",
        "Im Kampf - $ic",
        "Au\195\159er Erkennungsreichweiche - $iv",
--        "Tastenbindung - $kb",
        "Gesundheit, Max in k - $kh",
        "Mana, Max in k - $km",
        "Level - $lv",
        "Mana, momentan - $mc",
        "Mana, Strom in k - $mk",
        "Mana, Typ - $ml",
        "Mana, Max - $mm",
        "Mana, momentan Prozent - $mp",
        "Mana, Regen pro Sek - $mr",
        "Mana, Regen pro Tick - $mt",
        "Mana, verloren - $mx",
        "Mana, verloren Prozent - $my",
        "Neeue Zeile - $nl",
        "Name - $nm",
        "NPC - $np",
        "Name inc. title - $nr",
        "Offline - $of",
        "Pet's aktuelle XP Prozent - $pc",
        "Verlassene PvP-Zeit (Spieler nur) - $pf",
        "Pet's Zufriedenheit - $ph",
        "PvP aktiv - $pt",
        "Pet's momentane XP - $px",
        "Pet's XP ben\195\182tigt zum Level - $py",
        "Rasse, Abk\195\188rzung - $ra",
        "Rasse - $rc",
        "Aktueller Schaden - $rd",
        "Reaktion ('Feindlich', etc.) - $re",
        "Raid Gruppe - $rg",
        "Aktuelle Heilungen - $rh",
        "Echt Mana (Druide) - $rm",
        "Bereich-Name - $rn",
        "Echt Mana% (Druide) - $rp",
        "Echt Mana max. (Druide) - $rx",
        "Geschlecht, Abk\195\188rzung - $sa",
        "Geschlecht - $sx",
        "Ziel: Gesundheit Prozent - $ta",
        "Ziel: Mana Prozent - $tb",
        "Ziel: Gesundheit - $th",
        "Ziel: Level - $tl",
        "Ziel: Mana - $tm",
        "Ziel: Name - $tn",
        "Titel (Players) - $tp",
        "Ziel: Kreatur Typ - $tt",
        "Ziel: Max Gesundheit - $tx",
        "Ziel: Max Mana - $ty",
        "Einheit Casting - $uc",
        "Einheit Rolle - $ur",
        "Watched Faction Current Rep - $wc",
        "Watched Faction - $wf",
        "Watched Faction Max Rep - $wm",
        "Watched Faction Rep Percent - $wp",
        "Watched Faction Reaction - $wr",
        "XP, Ausgeruht Prozent - $xb",
        "XP, Aktuell - $xc",
        "XP, ben\195\182tigt zum Level - $xd",
        "XP, Max ben\195\182tigt zum Level - $xl",
        "Next Level - $xn",
        "XP, Ausgeruht Bonus - $xr",
        "XP, ben\195\182tigt zum Level Prozent - $xx",
        "XP, Aktuell Prozent - $xy",
}

DUF_CLASSABBREV = {
        [DUF_TEXT.Warrior] = "Kr",
        [DUF_TEXT.Priest] = "Pr",
        [DUF_TEXT.Rogue] = "Srk",
        [DUF_TEXT.Shaman] = "Sma",
        [DUF_TEXT.Mage] = "Ma",
        [DUF_TEXT.Paladin] = "Pal",
        [DUF_TEXT.Hunter] = "J\195\164",
        [DUF_TEXT.Warlock] = "Hex",
        [DUF_TEXT.Druid] = "Drd",
        [DUF_TEXT.DeathKnight] = "TR",
        [DUF_TEXT.Monk] = "Mnk",
        [DUF_TEXT.DemonHunter] = "DJ",
};

DUF_RACEABBREV = {
        [DUF_TEXT.Undead] = "Un",
        [DUF_TEXT.Tauren] = "Ta",
        [DUF_TEXT.NightElf] = "NE",
        [DUF_TEXT.Gnome] = "Gnm",
        [DUF_TEXT.Dwarf] = "Zw",
        [DUF_TEXT.Human] = "Men",
        [DUF_TEXT.Troll] = "Trl",
        [DUF_TEXT.Orc] = "Orc",
        [DUF_TEXT.Draenei] = "Dre",
        [DUF_TEXT.BloodElf] = "BE",
        [DUF_TEXT.Goblin] = "Gob",
        [DUF_TEXT.Worgen] = "Ise",
        [DUF_TEXT.Pandaren] = "Pnd"
};

DUF_SEXABBREV = {
        ["Male"] = "M",
        ["Female"] = "W",
        ["Neuter"] = "N"
};

DUF_BORDER_STYLES = {
        { text="Gerade", value=1 },
        { text="Tooltip", value=2 },
        { text="Dialog", value=3 },
        { text="Schieber", value=4 }
}

DUF_COLOR_CONTEXTS = {
        { text="Keine", value=nil },
        { text="Schwierigkeit", value=1 },
        { text="Reaktion", value=2 },
        { text="Klasse", value=3 },
        { text="Gesundheit", value=4 },
        { text="Mana", value=5 }
}

DUF_CLICK_OPTIONS = {
        { text="Tu Nichts", value=nil },
        { text="Einheit anvisieren", value=1 },
        { text="Einheit assisten", value=2 },
        { text="Zeige Popup", value=3 }
}

DUF_CONNECT_OPTIONS = {
        { text="Oben bis Unten", value=1 },
        { text="Unten bis Oben", value=2 },
        { text="Links bis Rechts", value=3 },
        { text="Rechts bis Links", value=4 }
}

DUF_ANCHORS = {
        { text = "OBEN LINKS", value = "TOPLEFT" },
        { text = "OBEN", value = "TOP" },
        { text = "OBEN RECHTS", value = "TOPRIGHT" },
        { text = "LINKS", value = "LEFT" },
        { text = "MITTE", value = "CENTER" },
        { text = "RECHTS", value = "RIGHT" },
        { text = "UNTEN LINKS", value = "BOTTOMLEFT" },
        { text = "UNTEN", value = "BOTTOM" },
        { text = "UNTEN RECHTS", value = "BOTTOMRIGHT" }
};

DUF_ATTACH_FRAMES = {
        { text="UIParent", value="UIParent" },
        { text="Unit Frame", value="Unit Frame" },
        { text="Buff Frame", value="_Buffs" },
        { text="Klassen Icon", value="_ClassIcon" },
        { text="Debuff Frame", value="_Debuffs" },
        { text="Gesundheits Balken", value="_HealthBar" },
        { text="Anf\195\188hrer Icon", value="_LeaderIcon" },
        { text="Loot Icon", value="_LootIcon" },
        { text="Mana Balken", value="_ManaBar" },
        { text="Portr\195\164t", value="_Portrait" },
        { text="PvP Icon", value="_PVPIcon" },
        { text="Rassen Icon", value="_RaceIcon" },
        { text="Status Icon", value="_StatusIcon" },
        { text="Ziel Gesundheits Balken", value="_TargetHealthBar" },
        { text="Ziel Mana Balken", value="_TargetManaBar" },
        { text="TextBox 1", value="_TextBox_1" },
        { text="TextBox 2", value="_TextBox_2" },
        { text="TextBox 3", value="_TextBox_3" },
        { text="TextBox 4", value="_TextBox_4" },
        { text="TextBox 5", value="_TextBox_5" },
        { text="TextBox 6", value="_TextBox_6" },
        { text="TextBox 7", value="_TextBox_7" },
        { text="TextBox 8", value="_TextBox_8" },
        { text="TextBox 9", value="_TextBox_9" },
        { text="TextBox 10", value="_TextBox_10" },
};

DUF_COPY_FRAMES = {
        { text=DUF_TEXT.Self, value="player" },
        { text=DUF_TEXT.Party, value="party" },
        { text=DUF_TEXT.Target, value="target" },
        { text=DUF_TEXT.Pet, value="pet" },
        { text=DUF_TEXT.PartyPets, value="partypet" },
        { text=DUF_TEXT.TargetOfTarget, value="targettarget" },
        { text=DUF_TEXT.Focus, value="focus" },
        { text=DUF_TEXT.Boss, value="boss" },
}

DUF_JUSTIFICATION_HORIZONTAL = {
        { text="LINKS", value="LEFT" },
        { text="RECHTS", value="RIGHT" },
        { text="MITTE", value="CENTER" }
}

DUF_JUSTIFICATION_VERTICAL = {
        { text="OBEN", value="TOP" },
        { text="UNTEN", value="BOTTOM" },
        { text="MITTE", value="CENTER" }
}

DUF_MOUSEOVER_GROUPS = {
        { text="Keine", value=nil },
        { text="1", value=1 },
        { text="2", value=2 },
        { text="3", value=3 },
        { text="4", value=4 },
        { text="5", value=5 },
        { text="6", value=6 },
        { text="7", value=7 },
        { text="8", value=8 },
        { text="9", value=9 },
        { text="10", value=10 }
}

DUF_CLASSBAR_MAXTEXTURES = {
                { text = "Voreinstellen", value = 0 },
                { text = "Eins", value = 1 },
                { text = "Alle", value = 2 },
         }

end

-- END OF GERMAN TRANSLATIONS


-- French translations courtesy of Miro.

if (GetLocale() == "frFR") then

DUF_ARROW_RIGHT = ">";
DUF_ARROW_LEFT = "<";
DUF_CLASSLABEL = "Classe:";
DUF_CONTEXTLABEL = "Couleurs Contextuelles:";
DUF_DIFFICULTYLABEL = "Difficult\195\169:";
DUF_HEALTHLABEL = "Vie:";
DUF_MANALABEL = "Mana:";
DUF_NUDGE = "D\195\169placer";
DUF_REACTIONLABEL = "R\195\169action:";
DUF_TARGETMARKERTEXT = "S\195\169lection de marqueur de cible buttons.\nThe Ic\195\180ne de course affichera marqueur s\195\169lectionn\195\169."

BINDING_NAME_DUF_OPTIONS = "Ouvre/Ferme Fen\195\170tre d\'Options";
BINDING_NAME_DUF_TOGGLE_ELEMENTS_LOCK = "Verrouille/D\195\169verrouille El\195\169ments";
BINDING_NAME_DUF_TOGGLE_FRAMES_LOCK = "Verrouille/D\195\169verrouille Fen\195\170tre";

DUF_TEXT = {
        Alliance = "Alliance",
        Alpha = "Transparence",
        AnticipationPoints = "Erwartung Punkte",
        AttachFrame = "Attacher Fen\195\170tre",
        AttachPoint = "Attacher Point",
        AttachTo = "Attacher \195\160",
        AttachToUIP = "Attacher \195\160UIParent",
        AutoLock = "Verrouiller fen\195\170tres et \195\169l\195\169me",
        Background = "Fond",
        BackgroundAlpha = "Transparence Fond",
        BackgroundColor = "Couleur Fond",
        BackgroundPadding = "Remplissage du Fond",
        BackgroundTexture = "Texture du Fond",
        BarColor = "Couleur Barre",
        Base = "Base",
        Beast = "B\195\170te",
        BloodElf = "Blood Elf",
        Border = "Bord",
        BorderAlpha = "Transparence Bordure",
        BorderColor = "Couleur Bordure",
        BorderStyle = "Style de Bordure",
        Boss = "Patron",
        BuffFrame = "Fen\195\170tre Buff",
        BuffsShown = "Am\195\169liorations maximum affich\195\169es",
        CastBar = "Cast Bar",
        CenterAlign = "Center Aligner",
        ClassIcon = "Icone de Classe",
        ClassProperties = "^Propri\195\169t\195\169s de Classe^",
        Color = "Couleur",
        Combat = "En Combat",
        ComboPoints = "Points de Combo",
        ConnectFrames = "Connecter Fen\195\170tre",
        ContextColors = "Couleurs Contextuelles",
        Copy = "COPIER",
        CopyFrame = "Copier param\195\170tres depuis",
        Create = "CREATE",
        Crit = "*CRITIQUE*",
        Critter = "Bestiole",
        CurrentProfile = "Current Profile",
        CustomEliteTexture = "Texture Elite Perso",
        CustomPaths = "Custom paths for textures and fonts",
        CustomRareTexture = "Texture Rare Perso",
        CustomSettingsLoaded = "Param\195\170tres personnalis\195\169s charg\195\1",
        CustomTexture = "Texture perso",
        CustomTexture2 = "Texture perso de la barre secondaire",
        CustomTooltip = "Tooltip Perso.",
        Dead = "Mort",
        DeathKnight = "Chevalier de la mort",
        DebuffFrame = "Fen\195\170tre Mal\195\169dictions",
        DebuffsShown = "Nb Mal\195\169dictions affich\195\169es",
        Default = "Default",
        DefaultSettingsLoaded = "Param\195\170tres par d\195\169faut charg\195\169s",
        Delete = "EFFACE",
        Demon = "D\195\169mon",
        DemonHunter = "D\195\169mon Chasseur",
        DisableMouse = "D\195\169sactiver Souris",
        DisableTooltip = "D\195\169sactiver Tooltip",
        Draenei = "Draenei",
        Dragonkin = "Dragonkin",
        Druid = "Druide",
        DruidManaBar = "Alt. Mana Ba",
        DruidManaBarText = "Alt. Mana texte",
        DurationAlpha = "Dur\195\169es - Transparence",
        DurationColor = "Dur\195\169es - Couleur",
        DurationFont = "Dur\195\169es - Font",
        DurationFormat = "Use hh:mm:ss Format",
        DurationHeight = "Dur\195\169es - Hauteur de texte",
        DurationXOffset = "Dur\195\169es - D\195\169calage en X",
        DurationYOffset = "Dur\195\169es - D\195\169calage en Y",
        Dwarf = "Nain",
        Elemental = "El\195\169mentaire",
        Elite = "Elite",
        EliteTexture = "Texture Elite",
        Enable = "permettre",
        Energy = "En\195\169rgie",
        EnergyColor = "Couleur \195\169n\195\169rgie",
        Expand = "\195\137tendre",
        FacesLeft = "Regarde \195\160 gauche",
        Fade = "Descend progressivement",
        Female = "Femelle",
        Fill = "Remplis \195\160 la place de vider",
        FillDirection = "Fill Direction",
        FlashForLowHealth = "Clignotte quand la vie est basse",
        FlashWhenActive = "Retourner Portrait 2D (gauche, droite)",
        FlipPortrait = "Retourner Portrait 2D (gauche, droite)",
        Focus = "Focus",
        FocusColor = "Couleur Focus",
        Font = "Texte",
        FontHeight = "Hauteur Texte",
        FormatH = "Format Pause-sant\195\169\n($hk, $kh, $ap, $an)",
        FormatM = "Mana Format Pause\n($mk, $km, $rx)",
        FrameLevelOffset = "Ajuster strate       ",
        FrameOptions = "Options Fen\195\170tre",
        FrameStrata = "Strate",
        FrameToMove = "Frame To Move",
        Friendly = "Amical",
        FriendlyNPC = "PNJ Amical",
        FriendlyPlayer = "Joueur Alli\195\169",
        FuryColor = "Couleur Fureur",
        GeneralProperties = "vG\195\169n\195\169ral Propertiesv",
        Ghost = "Fant\195\180me",
        Giant = "G\195\169ant",
        Gnome = "Gnome",
        Goblin = "Gobelin",
        HealthBar = "Barre de Vie",
        HealthThreshold = "% de vie inf\195\169rieur \195\160 ",
        HealthUpdating = "Show When Health Is Less Than Max",
        Height = "Hauteur",
        Hide = "Cacher",
        HideBackground = "Cacher Fond",
        HideBuffFrame = "Hide Default Buff Frame",
        HideIfNoCast = "Cache pour les unit\195\169s sans Cast",
        HideIfNoMana = "Cache pour les unit\195\169s sans Mana",
        HideIfNoText = "Cacher Si pas de Texte",
        HideIfTextIs = "ou texte est",
        HideOnMouseover = "Cacher au passage souris",
        HidePartyInRaid = "Cache les fen\195\170tre de Groupe en Raid",
        HidePlayerResourceBar = "Masquer la barre lecteur de ressources",
        HideTargetTarget = "Cache la cible de la cible en Solo",
        HideTargetMarkser = "Cache la cible marqueurs en Solo",
        HolyColor = "Couleur Sacr\195\169",
        Horde = "Horde",
        Hostile = "Hostile",
        HSpacing = "Horizontal Spacing",
        Human = "Humain",
        Humanoid = "Humanoide",
        Hunter = "Chasseur",
        InsanityColor = "Couleur Folie",
        JustifyH = "Justification Horizontale",
        JustifyV = "Justification Verticale",
        Label = "Titre",
        LeaderIcon = "Icone Chef",
        LeftClick = "Click-Gauche",
        LevelDifference1 = "Triviale",
        LevelDifference2 = "Mineure",
        LevelDifference3 = "Identique",
        LevelDifference4 = "Dure",
        LevelDifference5 = "Tr\195\168s Dure",
        LevelDifference6 = "Suicidaire",
        LimitDurationUpdates = "limit duration screen paints to once per second",
        Load = "CHARGE",
        LoadCustomSettings = "Charger param\195\170tres perso",
        LoadDefaultSettings = "Charger param\195\170tres d\195\169fauts",
        LoadProfile = "Load Profile",
        LoadSettings = "Charger param\195\170tres:",
        Lock = "Synchroniser",
        LockElements = "Verrouiller El\195\169ments",
        LockFrames = "Verrouiller Fen\195\170tres",
        LootIcon = "Icone Butin",
        LowHealthThreshold = "Limite de 'vie basse'",
        LunarPowerColor = "Couleur Astral \195\137nergie",
        MaelstromPowerColor = "Couleur Maelstrom \195\137nergie",
        Mage = "Mage",
        Main = "Principal",
        Male = "M\195\162le",
        Mana = "Mana",
        ManaBar = "Barre de Mana",
        ManaColor = "Couleur Mana",
        ManaThreshold = "% de Mana inf\195\169rieur \195\160 ",
        ManaUpdating = "Show When Mana Is Less Than Max",
        MaxCharacters = "Nombre de Characteres Max",
        Method = "Methode",
        MiddleClick = "Click-Milieu",
        MiscOptions = "Options diverses",
        Monk = "Moine",
        MonkHarmony = "Harmonie de Moine",
        MonkStagger = "Chanceler de Moine",
        Mouseover = "Montrer au passage souris",
        MouseoverColor = "Couleur au passage souris",
        MouseoverGroup = "Groupe Passage Souris",
        Neuter = "Assexu\195\169",
        Neutral = "Neutre",
        NewProfile = "New Profile",
        NightElf = "Elfe de la nuit",
        NoCustomSettings = "Pas de param\195\170tres perso trouv\195\169s.",
        NoDefaultSettings = "Pas de param\195\170tres d\195\169fauts trouv\195\169s.",
        NoSettingsFound = "Pas de param\195\170tres trouv\195\169s.",
        NoTarget = "Pas de Cible",
        NotSpecified = "Non sp\195\169cifi\195\169",
        Offline = "D\195\169connect\195\169",
        OOCAlpha = "hors de combat alpha",
        OptionsScale = "Taille de la fen\195\170tre d\'options",
        Orc = "Orc",
        Outline = "Outline:",
        OutOfRange = "Hors de port\195\169e",
        Paladin = "Paladin",
        Pandaren = "Pandaren",
        Party = "GROUPE",
        PartyPets = "PETS Groupe",
        Pet = "PET",
        PetBattleHide = "Hide frames in Pet Battles",
        Phased = "OUT OF PHASE",
        PhaseIcon = "Phased Icon",
        PlayerClass = "Class",
        Portrait = "Portrait",
        Priest = "Pr\195\170tre",
        ProfileCreated = "New profile created for Discord Unit Frames.",
        PVP = "JcJ",
        PVPForever = "Pour la dur\195\169e",
        PVPFree = "JcJ Free For All",
        PVPFriendly = "Joueur JcJ-activ\195\169",
        PVPIcon = "Icone JcJ",
        QuestBossIcon = "Quest Boss Icon",
        QuestBossIconTexture = "Besondere ic\195\180ne Textur",
        QuickLoad = "Chargement rapide",
        QuickSave = "Sauvegarde rapide",
        RaceIcon = "Icone Race",
        Rage = "Rage",
        RageColor = "Couleur Rage",
        Rare = "Rare",
        RareElite = "Elite Rare",
        ResizeBasedOnMax = "Redimensionner selon la valeur max",
        ReverseFill = "Inverser sens de remplissage",
        RightClick = "Click-Droit",
        Rogue = "Voleur",
        RoleIcon = "Ic\195\180ne de R\195\180le",
        RootPath = "Root Path",
        RootSaveError = "This path has already been saved for this profile!",
        RuneFrame = "Charpente de Rune (DK)",
        RunicPower = "Pouvoir Runique",
        RunicPowerColor = "Couleur Pouvoir Runique",
        SafeCopy = "SAFE COPY",
        SafeLoad = "SAFE LOAD",
        Save = "SAUVE",
        SaveSettings = "Sauve param\195\170tres: ",
        Scale = "Agrandir",
        SecondaryBarColor = "Couleur Barre Secondaire",
        Select = "Select",
        Self = "MOI",
        SettingsDeleted = "Param\195\170tres effac\195\169s.",
        SettingsLoaded = "Nouveaux param\195\170tres charg\195\169s.",
        SettingsSaved = "Vos param\195\170tres ont \195\169t\195\169 sauveg",
        Shaman = "Chaman",
        ShortHealth = "Short",
        ShortMana = "Short",
        ShowCircularBorder = "Affiche un bord circulaire (2D)",
        ShowDefault = "Montrer les fen\195\170tres d\'origine. Requires /",
        ShowDuration = "Afficher les Dur\195\169es",
        ShowInCombat = "Show In Combat",
        ShowTargetIcon = "Show Target Icon Instead",
        Size = "Taille",
        Spacing = "Espacement",
        Special = "Sp\195\169cial",
        StatusIcon = "Icone Status",
        Summoned = "Invoqu\195\169",
        Tapped = "Engag\195\169",
        Target = "CIBLE",
        TargetHealthBar = "Barre de vie Cible",
        TargetManaBar = "Barre de Mana Cible",
        TargetMarkers = "Cible Marqueurs",
        TargetOfTarget = "CIBLE de la CIBLE",
        TargetTapped = "Engag\195\169",
        Tauren = "Tauren",
        TempEnchants = "Temporary Enchants",
        Text = "Texte",
        TextBox1 = "TextBox 1",
        TextBox10 = "TextBox 10",
        TextBox2 = "TextBox 2",
        TextBox3 = "TextBox 3",
        TextBox4 = "TextBox 4",
        TextBox5 = "TextBox 5",
        TextBox6 = "TextBox 6",
        TextBox7 = "TextBox 7",
        TextBox8 = "TextBox 8",
        TextBox9 = "TextBox 9",
        TextColor = "Couleur Texte",
        Texture = "Texture",
        Textures = "Textures",
        TextVariables = "Variables texte",
        TotemBar = "Totem Bar",
        TrackReputation = "Track Reputation Instead",
        Troll = "Troll",
        TwoRows = "2 Lignes/Colonnes",
        Unconscious = "Inconscient",
        Undead = "Mort-Vivant",
        Unlock = "L\195\162cher",
        UnlockElements = "D\195\169verrouiller El\195\169ments",
        UnlockFrames = "D\195\169verrouiller Fen\195\170tres",
        UpdateSpeed = "MaJ par Seconde",
        Use3DFace = "Zoom in to the face of the 3D models for portraits",
        Use3DPortrait = "Use 3D models for portraits",
        UseClassTexture = "Utiliser Texture de classe pour le joueur (2D)",
        UseRaceTexture = "Utiliser Texture de race pour les PnJ",
        VariablesTitle = "VARIABLES TEXTE DE DISCORD UNIT FRAME",
        Vertical = "Verticale",
        VerticalText = "Vertical Text",
        VSpacing = "Vertical Spacing",
        Warlock = "D\195\169moniste",
        Warrior = "Guerrier",
        Width = "Largeur",
        Worgen = "Worgens",
        XPBar = "Barre d\'XP",
        You = "* VOUS *",
        YourTarget = "* VOTRE CIBLE *",
};

DUF_TEXTVARIABLES = {
        "Artefact \195\137nergie - $ap",
        "Artefact \195\137nergie Pour cent - $ac",
        "Artefact \195\137nergie Prochain Niveau - $an",
        "Artefact \195\137nergie Prochain Niveau Pour cent - $al",
        "Classe, Abbr\195\169viation - $ca",
        "Classification ('Elite', etc.) - $cc",
        "Difficult\195\169 de la cr\195\169ature ('Triviale",
        "Famille de la cr\195\169ature ('Chat', etc.) - $cf",
        "Color Context, Health - $ch",
        "Classe, Joueur - $cl",
        "Color Context, Mana - $cm",
        "Code couleur- $co",
        "Points de combo - $cp",
        "Color Context, Difficulty - $cq",
        "Color Context, Reaction - $cr",
        "Par d\195\169faut le code couleur - $cs",
        "Type de cr\195\169ature ('B\195\170te', etc.) - $c",
        "Color Context, Class - $cw",
        "Classification, Abbr\195\169viation - $cx",
        "Classe, Monstre - $cy",
        "Color Context, Power Type - $cz",
        "Engag\195\169 - $do",
        "Vie, % perdue - $dp",
        "Status Mort - $ds",
        "Vie, perdue - $dt",
        "Faction - $fa",
        "Guilde - $gu",
        "Vie, Actuelle - $hc",
        "Vie, Dynamic - $hd",
        "Sant\195\169, actuelle k - $hk",
        "Vie, Maximum - $hm",
        "Vie, % Actuelle - $hp",
        "Vie, Gain par seconde - $hr",
        "Vie, Gain par Cycle - $ht",
        "En combat - $ic",
        "Out of Detect Range - $iv",
--        "Keybinding - $kb",
        "Sant\195\169, Max en k - $kh",
        "Mana, Max en k - $km",
        "Niveau - $lv",
        "Mana, Actuel - $mc",
        "Mana, actuelle k - $mk",
        "Mana, Type - $ml",
        "Mana, Maximum - $mm",
        "Mana, % Actuel - $mp",
        "Mana, Gain par seconde - $mr",
        "Mana, Gain par cycle - $mt",
        "Mana, Perdu - $mx",
        "Mana, % Perdu - $my",
        "Retour \195\160 la ligne - $nl",
        "Nom - $nm",
        "PNJ - $np",
        "Name inc. title - $nr",
        "D\195\169connect\195\169 - $of",
        "PET, XP actuelle en % - $pc",
        "Temps de JcJ Quitt\195\169 (Joueur seulement) - $pf",
        "Humeur du PET - $ph",
        "JcJ Activ\195\169 - $pt",
        "XP actuelle du Pet - $px",
        "XP n\195\169cessaire au PET pour niveau sup - $py",
        "Race, Abbr\195\169viation - $ra",
        "Race - $rc",
        "Dommages r\195\169cents - $rd",
        "R\195\169action ('Hostile', etc.) - $re",
        "Raid Group - $rg",
        "Soins r\195\169cents - $rh",
        "Immobilier Mana (Druide) - $rm",
        "Nom de Royaume - $rn",
        "Immobilier Mana% (Druide) - $rp",
        "Immobilier Mana Max. (Druide) - $rx",
        "Sexe, Abbr\195\169viation - $sa",
        "Sexe - $sx",
        "Cible, Vie en % - $ta",
        "Cible, Mana en % - $tb",
        "Cible, Vie - $th",
        "Cible, Niveau - $tl",
        "Cible, Mana - $tm",
        "Cible, Nom - $tn",
        "Titre (joueur seulement) - $tp",
        "Cible, Type de cr\195\169ature - $tt",
        "Cible, Vie Maximum - $tx",
        "Cible, Mana Maximum - $ty",
        "Unit Casting - $uc",
        "Unit\195\169 R\195\180le - $ur",
        "Watched Faction Current Rep - $wc",
        "Watched Faction - $wf",
        "Watched Faction Max Rep - $wm",
        "Watched Faction Rep Percent - $wp",
        "Watched Faction Reaction - $wr",
        "XP, Bonus de repos en Pourcent - $xb",
        "XP, Actuelle - $xc",
        "XP, N\195\169cessaire pour passer le niveau - $xd",
        "XP, Totale du niveau - $xl",
        "Next Level - $xn",
        "XP, Bonus de repos - $xr",
        "XP, % restant avant le prochain niveau - $xx",
        "XP, % Actuelle - $xy",
}

DUF_CLASSABBREV = {
        [DUF_TEXT.Warrior] = "Gue",
        [DUF_TEXT.Priest] = "Pre",
        [DUF_TEXT.Rogue] = "Vol",
        [DUF_TEXT.Shaman] = "Sha",
        [DUF_TEXT.Mage] = "Ma",
        [DUF_TEXT.Paladin] = "Pal",
        [DUF_TEXT.Hunter] = "Cha",
        [DUF_TEXT.Warlock] = "D\195\169mo",
        [DUF_TEXT.Druid] = "Dru",
        [DUF_TEXT.DeathKnight] = "CM",
        [DUF_TEXT.Monk] = "Mnk",
        [DUF_TEXT.DemonHunter] = "DC",
};

DUF_RACEABBREV = {
        [DUF_TEXT.Undead] = "MV",
        [DUF_TEXT.Tauren] = "Ta",
        [DUF_TEXT.NightElf] = "Elf",
        [DUF_TEXT.Gnome] = "Gnm",
        [DUF_TEXT.Dwarf] = "Na",
        [DUF_TEXT.Human] = "Hum",
        [DUF_TEXT.Troll] = "Trl",
        [DUF_TEXT.Orc] = "Orc",
        [DUF_TEXT.Draenei] = "Dre",
        [DUF_TEXT.BloodElf] = "BE",
        [DUF_TEXT.Goblin] = "Gob",
        [DUF_TEXT.Worgen] = "Wor",
        [DUF_TEXT.Pandaren] = "Pnd"
};

DUF_SEXABBREV = {
        ["Male"] = "M",
        ["Female"] = "F",
        ["Neuter"] = "N"
};

DUF_BORDER_STYLES = {
        { text="Plein", value=1 },
        { text="Tooltip", value=2 },
        { text="Dialogue", value=3 },
        { text="Ascenseur", value=4 }
}

DUF_COLOR_CONTEXTS = {
        { text="Aucune", value=nil },
        { text="Difficult\195\169", value=1 },
        { text="R\195\169action", value=2 },
        { text="Classe", value=3 },
        { text="Vie", value=4 },
        { text="Mana", value=5 }
}

DUF_CLICK_OPTIONS = {
        { text="Ne fait rien", value=nil },
        { text="Cible Unit\195\169", value=1 },
        { text="Aide Unit\195\169", value=2 },
        { text="Ouvre Menu", value=3 }
}

DUF_CONNECT_OPTIONS = {
        { text="Haut avec Bas", value=1 },
        { text="Bas avec Haut", value=2 },
        { text="Gauche avec Droite", value=3 },
        { text="Droite avec Gauche", value=4 }
}

DUF_ANCHORS = {
        { text = "HAUTgauche", value = "TOPLEFT" },
        { text = "HAUT", value = "TOP" },
        { text = "HAUTdroite", value = "TOPRIGHT" },
        { text = "LINKE", value = "LEFT" },
        { text = "CENTRE", value = "CENTER" },
        { text = "RECHT", value = "RIGHT" },
        { text = "BASgauche", value = "BOTTOMLEFT" },
        { text = "BAS", value = "BOTTOM" },
        { text = "BASdroite", value = "BOTTOMRIGHT" }
};

DUF_ATTACH_FRAMES = {
        { text="UIParent", value="UIParent" },
        { text="Fen\195\170tre Unit\195\169", value="Unit Frame" },
        { text="Fen\195\170tre Am\195\169lioration", value="_Buffs" },
        { text="Icone Classe", value="_ClassIcon" },
        { text="Fen\195\170tre Mal\195\169diction", value="_Debuffs" },
        { text="Barre de Vie", value="_HealthBar" },
        { text="Icone Chef", value="_LeaderIcon" },
        { text="Icone Butin", value="_LootIcon" },
        { text="Barre de Mana", value="_ManaBar" },
        { text="Portrait", value="_Portrait" },
        { text="Icone JcJ", value="_PVPIcon" },
        { text="Icone Race", value="_RaceIcon" },
        { text="Icone Status", value="_StatusIcon" },
        { text="Barre de Vie Cible", value="_TargetHealthBar" },
        { text="Barre de Mana Cible", value="_TargetManaBar" },
        { text="TextBox 1", value="_TextBox_1" },
        { text="TextBox 2", value="_TextBox_2" },
        { text="TextBox 3", value="_TextBox_3" },
        { text="TextBox 4", value="_TextBox_4" },
        { text="TextBox 5", value="_TextBox_5" },
        { text="TextBox 6", value="_TextBox_6" },
        { text="TextBox 7", value="_TextBox_7" },
        { text="TextBox 8", value="_TextBox_8" },
        { text="TextBox 9", value="_TextBox_9" },
        { text="TextBox 10", value="_TextBox_10" },
};

DUF_JUSTIFICATION_HORIZONTAL = {
        { text="GAUCHE", value="LEFT" },
        { text="DROITE", value="RIGHT" },
        { text="CENTRE", value="CENTER" }
}

DUF_JUSTIFICATION_VERTICAL = {
        { text="HAUT", value="TOP" },
        { text="BAS", value="BOTTOM" },
        { text="CENTRE", value="CENTER" }
}

DUF_CLASSBAR_MAXTEXTURES = {
                { text = "Default", value = 0 },
                { text = "Seul", value = 1 },
                { text = "Tous", value = 2 },
         }

DUF_MOUSEOVER_GROUPS = {
        { text="Aucun", value=nil },
        { text="1", value=1 },
        { text="2", value=2 },
        { text="3", value=3 },
        { text="4", value=4 },
        { text="5", value=5 },
        { text="6", value=6 },
        { text="7", value=7 },
        { text="8", value=8 },
        { text="9", value=9 },
        { text="10", value=10 }
}

end

-- END OF FRENCH TRANSLATIONS

DUF_OPTIONS_SCALES = {
        { text="100", value=1 },
        { text="90", value=.9 },
        { text="80", value=.8 },
        { text="70", value=.7 },
        { text="60", value=.6 },
        { text="50", value=.5 },
}

DUF_COPY_FRAMES = {
        { text=DUF_TEXT.Self, value="player" },
        { text=DUF_TEXT.Party, value="party" },
        { text=DUF_TEXT.Target, value="target" },
        { text=DUF_TEXT.Pet, value="pet" },
        { text=DUF_TEXT.PartyPets, value="partypet" },
        { text=DUF_TEXT.TargetOfTarget, value="targettarget" },
        { text=DUF_TEXT.Focus, value="focus" },
        { text=DUF_TEXT.Boss, value="boss" },
}

DUF_DEFAULT_SETTINGS = {};
DUF_ELEMENT_INDEX = nil;
DUF_ELEMENTS_UNLOCKED = nil;
DUF_FRAME_INDEX = nil;
DUF_FRAMES_UNLOCKED = nil;
DUF_INITIALIZED = nil;

DUF_PARTY_DATA = {
        party1 = { frame="DUF_PartyFrame1", index="party", elements={} },
        party2 = { frame="DUF_PartyFrame2", index="party", elements={} },
        party3 = { frame="DUF_PartyFrame3", index="party", elements={} },
        party4 = { frame="DUF_PartyFrame4", index="party", elements={} },
        partypet1 = { frame="DUF_PartyPetFrame1", index="partypet", elements={} },
        partypet2 = { frame="DUF_PartyPetFrame2", index="partypet", elements={} },
        partypet3 = { frame="DUF_PartyPetFrame3", index="partypet", elements={} },
        partypet4 = { frame="DUF_PartyPetFrame4", index="partypet", elements={} },
};

DUF_FRAME_DATA = {
        player = { frame="DUF_PlayerFrame", index="player", elements= {"XPBar", "TempEnchants", "ComboPoints"} },
        party1 = { frame="DUF_PartyFrame1", index="party", elements={} },
        party2 = { frame="DUF_PartyFrame2", index="party", elements={} },
        party3 = { frame="DUF_PartyFrame3", index="party", elements={} },
        party4 = { frame="DUF_PartyFrame4", index="party", elements={} },
        target = { frame="DUF_TargetFrame", index="target", elements={} },
        pet = { frame="DUF_PetFrame", index="pet", elements={"PetXPBar"}, attachindex = 1 },
        partypet1 = { frame="DUF_PartyPetFrame1", index="partypet", elements={} },
        partypet2 = { frame="DUF_PartyPetFrame2", index="partypet", elements={} },
        partypet3 = { frame="DUF_PartyPetFrame3", index="partypet", elements={} },
        partypet4 = { frame="DUF_PartyPetFrame4", index="partypet", elements={} },
        targettarget = { frame="DUF_TargetOfTargetFrame", index="targettarget", elements={} },
        boss1 = { frame="DUF_BossFrame1", index="boss", elements={} },
        boss2 = { frame="DUF_BossFrame2", index="boss", elements={} },
        boss3 = { frame="DUF_BossFrame3", index="boss", elements={} },
        boss4 = { frame="DUF_BossFrame4", index="boss", elements={} },
        boss5 = { frame="DUF_BossFrame5", index="boss", elements={} },
        focus = {frame="DUF_FocusFrame", index="focus", elements={} }
};

DUF_FRAME_INDICES = { "player", "pet", "party", "target", "partypet", "targettarget", "focus", "boss" };
DUF_ELEMENT_INDICES = { "TextBox", "StatusBar", "StatusIcon", "PVPIcon", "LootIcon", "LeaderIcon", "Debuffs", "Buffs", "Portrait", "ClassIcon", "RaceIcon", "RoleIcon", "TempEnchants" };
DUF_STATUSBARS = { "_HealthBar", "_ManaBar", "_XPBar", "_TargetHealthBar", "_TargetManaBar", "_CastBar", "_DruidManaBar", "_ClassBarStatusBar"}; -- Fizzlemizz: Comment: added "_DruidManaBar" for Druid Mana Bar and Classbar

DUF_UNIT_CHANGED_EVENTS = {
        pet = "UNIT_PET",
        partypet1 = "UNIT_PET",
        partypet2 = "UNIT_PET",
        partypet3 = "UNIT_PET",
        partypet4 = "UNIT_PET",
        party1 = "GROUP_ROSTER_UPDATE",
        party2 = "GROUP_ROSTER_UPDATE",
        party3 = "GROUP_ROSTER_UPDATE",
        party4 = "GROUP_ROSTER_UPDATE",
        target = "PLAYER_TARGET_CHANGED",
        focus = "PLAYER_FOCUS_CHANGED"
}

DUF_TEXT_OUTLINES = {
        {text="NONE", value=nil},
        {text="NORMAL", value="NORMAL"},
        {text="THICK", value="THICK"}
}

DUF_FRAME_CHOICES = {
        {value = 1, text = 1}
}
